WPXContentParsingState Struct Reference documentation

WPXContentParsingState Struct Reference

`#include <WPXContentListener.h>`

## Public Member Functions
| WPXContentParsingState ()
| ~WPXContentParsingState ()

## Public Attributes
unsigned | m_textAttributeBits
double | m_fontSize
std::unique_ptr< librevenge::RVNGString > | m_fontName
std::unique_ptr< RGBSColor > | m_fontColor
std::unique_ptr< RGBSColor > | m_highlightColor
bool | m_isParagraphColumnBreak
bool | m_isParagraphPageBreak
unsigned char | m_paragraphJustification
unsigned char | m_tempParagraphJustification
double | m_paragraphLineSpacing
bool | m_isDocumentStarted
bool | m_isPageSpanOpened
bool | m_isSectionOpened
bool | m_isPageSpanBreakDeferred
bool | m_isHeaderFooterWithoutParagraph
bool | m_isSpanOpened
bool | m_isParagraphOpened
bool | m_isListElementOpened
bool | m_firstParagraphInPageSpan
std::vector< unsigned int > | m_numRowsToSkip
WPXTableDefinition | m_tableDefinition
int | m_currentTableCol
int | m_currentTableRow
int | m_currentTableCellNumberInRow
bool | m_isTableOpened
bool | m_isTableRowOpened
bool | m_isTableColumnOpened
bool | m_isTableCellOpened
bool | m_wasHeaderRow
bool | m_isCellWithoutParagraph
bool | m_isRowWithoutCell
unsigned | m_cellAttributeBits
unsigned char | m_paragraphJustificationBeforeTable
unsigned | m_currentPage
unsigned | m_numPagesRemainingInSpan
unsigned | m_currentPageNumber
bool | m_sectionAttributesChanged
unsigned | m_numColumns
std::vector< WPXColumnDefinition > | m_textColumns
bool | m_isTextColumnWithoutParagraph
double | m_pageFormLength
double | m_pageFormWidth
WPXFormOrientation | m_pageFormOrientation
double | m_pageMarginLeft
double | m_pageMarginRight
double | m_pageMarginTop
double | m_pageMarginBottom
double | m_paragraphMarginLeft
double | m_paragraphMarginRight
double | m_paragraphMarginTop
double | m_paragraphMarginBottom
double | m_leftMarginByPageMarginChange
double | m_rightMarginByPageMarginChange
double | m_sectionMarginLeft
double | m_sectionMarginRight
double | m_leftMarginByParagraphMarginChange
double | m_rightMarginByParagraphMarginChange
double | m_leftMarginByTabs
double | m_rightMarginByTabs
double | m_listReferencePosition
double | m_listBeginPosition
double | m_paragraphTextIndent
double | m_textIndentByParagraphIndentChange
double | m_textIndentByTabs
unsigned char | m_currentListLevel
unsigned | m_alignmentCharacter
std::vector< WPXTabStop > | m_tabStops
bool | m_isTabPositionRelative
std::set< const WPXSubDocument * > | m_subDocuments
bool | m_inSubDocument
bool | m_isNote
WPXSubDocumentType | m_subDocumentType

## Private Member Functions
| WPXContentParsingState (const WPXContentParsingState &)
WPXContentParsingState & | operator= (const WPXContentParsingState &)

## Constructor & Destructor Documentation

## ◆ WPXContentParsingState() [1/2]

WPXContentParsingState::WPXContentParsingState | ( |  | ) |

Referenced by operator=(), and WPXContentParsingState().

## ◆ ~WPXContentParsingState()

WPXContentParsingState::~WPXContentParsingState | ( |  | ) |

## ◆ WPXContentParsingState() [2/2]

WPXContentParsingState::WPXContentParsingState | ( | const WPXContentParsingState & |  | ) |
| private

## Member Function Documentation

## ◆ operator=()

WPXContentParsingState & WPXContentParsingState::operator= | ( | const WPXContentParsingState & |  | ) |
| private

## Member Data Documentation

## ◆ m_alignmentCharacter

unsigned WPXContentParsingState::m_alignmentCharacter

Referenced by WPXContentParsingState().

## ◆ m_cellAttributeBits

unsigned WPXContentParsingState::m_cellAttributeBits

Referenced by WPXContentParsingState().

## ◆ m_currentListLevel

unsigned char WPXContentParsingState::m_currentListLevel

Referenced by WPXContentParsingState().

## ◆ m_currentPage

unsigned WPXContentParsingState::m_currentPage

Referenced by WPXContentParsingState().

## ◆ m_currentPageNumber

unsigned WPXContentParsingState::m_currentPageNumber

Referenced by WPXContentParsingState().

## ◆ m_currentTableCellNumberInRow

int WPXContentParsingState::m_currentTableCellNumberInRow

Referenced by WPXContentParsingState().

## ◆ m_currentTableCol

int WPXContentParsingState::m_currentTableCol

Referenced by WPXContentParsingState().

## ◆ m_currentTableRow

int WPXContentParsingState::m_currentTableRow

Referenced by WPXContentParsingState().

## ◆ m_firstParagraphInPageSpan

bool WPXContentParsingState::m_firstParagraphInPageSpan

Referenced by WPXContentParsingState().

## ◆ m_fontColor

std::unique_ptr<RGBSColor> WPXContentParsingState::m_fontColor

Referenced by WPXContentParsingState().

## ◆ m_fontName

std::unique_ptr<librevenge::RVNGString> WPXContentParsingState::m_fontName

Referenced by WPXContentParsingState().

## ◆ m_fontSize

double WPXContentParsingState::m_fontSize

Referenced by WPXContentParsingState().

## ◆ m_highlightColor

std::unique_ptr<RGBSColor> WPXContentParsingState::m_highlightColor

Referenced by WPXContentParsingState().

## ◆ m_inSubDocument

bool WPXContentParsingState::m_inSubDocument

Referenced by WPXContentParsingState().

## ◆ m_isCellWithoutParagraph

bool WPXContentParsingState::m_isCellWithoutParagraph

Referenced by WPXContentParsingState().

## ◆ m_isDocumentStarted

bool WPXContentParsingState::m_isDocumentStarted

Referenced by WPXContentParsingState().

## ◆ m_isHeaderFooterWithoutParagraph

bool WPXContentParsingState::m_isHeaderFooterWithoutParagraph

Referenced by WPXContentParsingState().

## ◆ m_isListElementOpened

bool WPXContentParsingState::m_isListElementOpened

Referenced by WPXContentParsingState().

## ◆ m_isNote

bool WPXContentParsingState::m_isNote

Referenced by WPXContentParsingState().

## ◆ m_isPageSpanBreakDeferred

bool WPXContentParsingState::m_isPageSpanBreakDeferred

Referenced by WPXContentParsingState().

## ◆ m_isPageSpanOpened

bool WPXContentParsingState::m_isPageSpanOpened

Referenced by WPXContentParsingState().

## ◆ m_isParagraphColumnBreak

bool WPXContentParsingState::m_isParagraphColumnBreak

Referenced by WPXContentParsingState().

## ◆ m_isParagraphOpened

bool WPXContentParsingState::m_isParagraphOpened

Referenced by WPXContentParsingState().

## ◆ m_isParagraphPageBreak

bool WPXContentParsingState::m_isParagraphPageBreak

Referenced by WPXContentParsingState().

## ◆ m_isRowWithoutCell

bool WPXContentParsingState::m_isRowWithoutCell

Referenced by WPXContentParsingState().

## ◆ m_isSectionOpened

bool WPXContentParsingState::m_isSectionOpened

Referenced by WPXContentParsingState().

## ◆ m_isSpanOpened

bool WPXContentParsingState::m_isSpanOpened

Referenced by WPXContentParsingState().

## ◆ m_isTableCellOpened

bool WPXContentParsingState::m_isTableCellOpened

Referenced by WPXContentParsingState().

## ◆ m_isTableColumnOpened

bool WPXContentParsingState::m_isTableColumnOpened

Referenced by WPXContentParsingState().

## ◆ m_isTableOpened

bool WPXContentParsingState::m_isTableOpened

Referenced by WPXContentParsingState().

## ◆ m_isTableRowOpened

bool WPXContentParsingState::m_isTableRowOpened

Referenced by WPXContentParsingState().

## ◆ m_isTabPositionRelative

bool WPXContentParsingState::m_isTabPositionRelative

Referenced by WPXContentParsingState().

## ◆ m_isTextColumnWithoutParagraph

bool WPXContentParsingState::m_isTextColumnWithoutParagraph

Referenced by WPXContentParsingState().

## ◆ m_leftMarginByPageMarginChange

double WPXContentParsingState::m_leftMarginByPageMarginChange

Referenced by WPXContentParsingState().

## ◆ m_leftMarginByParagraphMarginChange

double WPXContentParsingState::m_leftMarginByParagraphMarginChange

Referenced by WPXContentParsingState().

## ◆ m_leftMarginByTabs

double WPXContentParsingState::m_leftMarginByTabs

Referenced by WPXContentParsingState().

## ◆ m_listBeginPosition

double WPXContentParsingState::m_listBeginPosition

Referenced by WPXContentParsingState().

## ◆ m_listReferencePosition

double WPXContentParsingState::m_listReferencePosition

Referenced by WPXContentParsingState().

## ◆ m_numColumns

unsigned WPXContentParsingState::m_numColumns

Referenced by WPXContentParsingState().

## ◆ m_numPagesRemainingInSpan

unsigned WPXContentParsingState::m_numPagesRemainingInSpan

Referenced by WPXContentParsingState().

## ◆ m_numRowsToSkip

std::vector<unsigned int> WPXContentParsingState::m_numRowsToSkip

Referenced by WPXContentParsingState().

## ◆ m_pageFormLength

double WPXContentParsingState::m_pageFormLength

Referenced by WPXContentParsingState().

## ◆ m_pageFormOrientation

WPXFormOrientation WPXContentParsingState::m_pageFormOrientation

Referenced by WPXContentParsingState().

## ◆ m_pageFormWidth

double WPXContentParsingState::m_pageFormWidth

Referenced by WPXContentParsingState().

## ◆ m_pageMarginBottom

double WPXContentParsingState::m_pageMarginBottom

Referenced by WPXContentParsingState().

## ◆ m_pageMarginLeft

double WPXContentParsingState::m_pageMarginLeft

Referenced by WPXContentParsingState().

## ◆ m_pageMarginRight

double WPXContentParsingState::m_pageMarginRight

Referenced by WPXContentParsingState().

## ◆ m_pageMarginTop

double WPXContentParsingState::m_pageMarginTop

Referenced by WPXContentParsingState().

## ◆ m_paragraphJustification

unsigned char WPXContentParsingState::m_paragraphJustification

Referenced by WPXContentParsingState().

## ◆ m_paragraphJustificationBeforeTable

unsigned char WPXContentParsingState::m_paragraphJustificationBeforeTable

Referenced by WPXContentParsingState().

## ◆ m_paragraphLineSpacing

double WPXContentParsingState::m_paragraphLineSpacing

Referenced by WPXContentParsingState().

## ◆ m_paragraphMarginBottom

double WPXContentParsingState::m_paragraphMarginBottom

Referenced by WPXContentParsingState().

## ◆ m_paragraphMarginLeft

double WPXContentParsingState::m_paragraphMarginLeft

Referenced by WPXContentParsingState().

## ◆ m_paragraphMarginRight

double WPXContentParsingState::m_paragraphMarginRight

Referenced by WPXContentParsingState().

## ◆ m_paragraphMarginTop

double WPXContentParsingState::m_paragraphMarginTop

Referenced by WPXContentParsingState().

## ◆ m_paragraphTextIndent

double WPXContentParsingState::m_paragraphTextIndent

Referenced by WPXContentParsingState().

## ◆ m_rightMarginByPageMarginChange

double WPXContentParsingState::m_rightMarginByPageMarginChange

Referenced by WPXContentParsingState().

## ◆ m_rightMarginByParagraphMarginChange

double WPXContentParsingState::m_rightMarginByParagraphMarginChange

Referenced by WPXContentParsingState().

## ◆ m_rightMarginByTabs

double WPXContentParsingState::m_rightMarginByTabs

Referenced by WPXContentParsingState().

## ◆ m_sectionAttributesChanged

bool WPXContentParsingState::m_sectionAttributesChanged

Referenced by WPXContentParsingState().

## ◆ m_sectionMarginLeft

double WPXContentParsingState::m_sectionMarginLeft

Referenced by WPXContentParsingState().

## ◆ m_sectionMarginRight

double WPXContentParsingState::m_sectionMarginRight

Referenced by WPXContentParsingState().

## ◆ m_subDocuments

std::set<const WPXSubDocument *> WPXContentParsingState::m_subDocuments

Referenced by WPXContentParsingState().

## ◆ m_subDocumentType

WPXSubDocumentType WPXContentParsingState::m_subDocumentType

Referenced by WPXContentParsingState().

## ◆ m_tableDefinition

WPXTableDefinition WPXContentParsingState::m_tableDefinition

Referenced by WPXContentParsingState().

## ◆ m_tabStops

std::vector<WPXTabStop> WPXContentParsingState::m_tabStops

Referenced by WPXContentParsingState().

## ◆ m_tempParagraphJustification

unsigned char WPXContentParsingState::m_tempParagraphJustification

Referenced by WPXContentParsingState().

## ◆ m_textAttributeBits

unsigned WPXContentParsingState::m_textAttributeBits

Referenced by WPXContentParsingState().

## ◆ m_textColumns

std::vector< WPXColumnDefinition > WPXContentParsingState::m_textColumns

Referenced by WPXContentParsingState().

## ◆ m_textIndentByParagraphIndentChange

double WPXContentParsingState::m_textIndentByParagraphIndentChange

Referenced by WPXContentParsingState().

## ◆ m_textIndentByTabs

double WPXContentParsingState::m_textIndentByTabs

Referenced by WPXContentParsingState().

## ◆ m_wasHeaderRow

bool WPXContentParsingState::m_wasHeaderRow

Referenced by WPXContentParsingState().

The documentation for this struct was generated from the following files:

- WPXContentListener.h
- WPXContentListener.cpp